From 9f4c3d8462479e63f17d755be020d48bb4df94b2 Mon Sep 17 00:00:00 2001
From: Sparky Bluefang <sparky@bluefang-logic.com>
Date: Tue, 24 Dec 2024 04:18:44 -0500
Subject: [PATCH] Move sass compilation to its own custom target so it shows up
 in the build log. Support both pysassc and sassc.

---
 data/meson.build                     |  3 +--
 data/theme/cinnamon-sass/meson.build | 11 +++++++++++
 data/theme/meson.build               |  4 +---
 data/theme/parse-sass.sh             |  3 ---
 4 files changed, 13 insertions(+), 8 deletions(-)
 create mode 100644 data/theme/cinnamon-sass/meson.build
 delete mode 100755 data/theme/parse-sass.sh

diff --git a/data/meson.build b/data/meson.build
index dba549d57c..2235c389d3 100644
--- a/data/meson.build
+++ b/data/meson.build
@@ -11,8 +11,7 @@ install_subdir(
     'theme',
     exclude_files: [
         'theme-changelog.txt',
-        'meson.build',
-        'parse-sass.sh'
+        'meson.build'
     ],
     exclude_directories: ['cinnamon-sass'],
     install_dir: pkgdatadir,
diff --git a/data/theme/cinnamon-sass/meson.build b/data/theme/cinnamon-sass/meson.build
new file mode 100644
index 0000000000..5e97fa97cc
--- /dev/null
+++ b/data/theme/cinnamon-sass/meson.build
@@ -0,0 +1,11 @@
+sassc = find_program('pysassc', 'sassc')
+
+custom_target(
+  'cinnamon_css',
+  input: 'cinnamon.scss',
+  output: 'cinnamon.css',
+  command: [sassc, '@INPUT@', '@OUTPUT@'],
+  build_always_stale: true,
+  install: true,
+  install_dir: join_paths(pkgdatadir, 'theme')
+)
diff --git a/data/theme/meson.build b/data/theme/meson.build
index b02e5c18b0..4e34cc4806 100644
--- a/data/theme/meson.build
+++ b/data/theme/meson.build
@@ -1,3 +1 @@
-sassc = find_program('pysassc')
-
-run_command('parse-sass.sh', check: true)
+subdir('cinnamon-sass')
diff --git a/data/theme/parse-sass.sh b/data/theme/parse-sass.sh
deleted file mode 100755
index 3313971158..0000000000
--- a/data/theme/parse-sass.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#! /bin/bash
-
-pysassc ./cinnamon-sass/cinnamon.scss cinnamon.css
